!(function () {
  try {
    const ugasdk = window.ugasdk;
    ugasdk.initOptions({
      serverUrl: 'https://developer.martech.saas.huaweicloud.com:8443',
      appId: 'hisilicon_web'
    });

    ugasdk.setAutoTrack({
      webLoad: true,
      webShow: true,
      webStay: true,
      webLeave: true,
      webClick: true,
      webChannel: true
    });
  } catch (error) {
    console.error('event-tracking.js error:', error);
  }
})();
